Status: Open

Priority: Normal

Assignee:

Category: mac_os_specific

Affected QGIS version:3.4.2 Regression?: No

Operating System: macOS Mojave Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28525

Description

I am trying to reclassify a raster on QGIS 3.4 and I keep getting this error:

File "/Applications/QGIS3.app/Contents/MacOS/grass/grass74", line 1697 sys.stdout.write("%s\n" % grass_version) ^ TabError:

inconsistent use of tabs and spaces in indentation File "/Applications/QGIS3.app/Contents/MacOS/grass/grass74", line 1697

sys.stdout.write("%s\n" % grass_version) ^ TabError: inconsistent use of tabs and spaces in indentation

I have had a look at the code and tried to fix it but then got further errors so therefore had to redownload QGIS to take a step back.

History

#1 - 2018-12-05 06:09 PM - Giovanni Manghi

- Easy fix? changed from Yes to No

- Category changed from GRASS to Processing/GRASS

works ok on Windows and Linux.

#2 - 2018-12-05 08:45 PM - Nyall Dawson

- Category changed from Processing/GRASS to mac_os_specific

Not a processing issue - the error is coming from grass itself, so it's either an upstream issue or a packaging issue.

#3 - 2018-12-12 03:56 PM - Charlotte Jeal

Following successful cleanup of tabs / space indentation issues we executed the code and encountered a further issue.

Which, it appears was caused by a type mismatch on line 625, where the environment variable 'MANPATH' is being set to the response from

subprocess.Popen('man path'), which needs to be a string but on a MAC it was a byte array.

The code now executes but fails to generate the result, reporting:-

Results:{'output': <QgsProcessingOutputLayerDefinition

{'sink':/var/folders/yb/9h6dny1x14bffjmfzvvxmwb80000gn/T/processing_22d00b870ba84e63829b7f4dfe2d9b04/ede0c63ba1d2409eb334c0668d22ae12/output.tif, 'createOptions': {'fileEncoding': 'System

/output.tif, 'createOptions': {'fileEncoding': 'System'}}>}

Loading resulting layers

The following layers were not correctly

generated.<ul><li>/var/folders/yb/9h6dny1x14bffjmfzvvxmwb80000gn/T/processing_22d00b870ba84e63829b7f4dfe2d9b04/ede0c63ba1d2409eb334c0668d22ae12/output.tif</li></ul>You can 
668d22ae12/output.tif</li></ul>You can check the 'Log Messages Panel' in QGIS main window to find more information about the execution of the

algorithm.
